nimages = 101
xsize = 81
ysize = 40
mag = 10

openr, lun, file_which('jet.dat'), /get_lun
jet = assoc(lun, bytarr(xsize, ysize))

mj2 = obj_new('IDLffMJPEG2000', 'jet.mj2', /write, /reversible)
for i = 0L, nimages - 1L do $
  status = mj2->setData(congrid(jet[i], xsize * mag, ysize * mag))
  
status = mj2->commit(10000)

obj_destroy, mj2

free_lun, lun

end
