ivolume, /test, view_grid=[2, 1]
toolId = iGetCurrent(tool=tool)

; this bit sets up an image plane
opImagePlaneId = tool->findIdentifiers('*imageplane*', /operations)
result = tool->doAction(opImagePlaneId)

planeId = tool->findIdentifiers('*image plane*', /visualizations)
result = tool->doSetProperty(planeId, 'orientation', 2)

; now grab the data for the image plane
selectedItems = tool->getSelectedItems(count=nSelectedItems)
data = selectedItems->getParameter('IMAGEPIXELS')

paramSet = obj_new('IDLitParameterSet', $
                   name='image plane parameters', $ 
                   icon='image', $ 
                   description='image plane demo parameters')
paramSet->add, data, parameter_name='data'

toolId = IDLitSys_CreateTool('Image Tool', /view_next, initial_data=paramSet, $
                             visualization_type='IMAGE')                         

imageId = tool->findIdentifiers('*image', /visualizations) 
iscale, imageId, 2., 2., 2.

end